package util

import (
	"gitea.neur0tx.site/Neur0toxine/vegapokerbot/internal/locale"
	"github.com/mymmrac/telego"
	tu "github.com/mymmrac/telego/telegoutil"
)

func SendSetupDone(tg *telego.Bot, chatID int64, loc locale.Localizer) error {
	_, err := tg.SendMessage(&telego.SendMessageParams{
		ChatID: tu.ID(chatID),
		Text:   loc.Message("setup_done"),
	})
	return err
}

func SendInternalError(tg *telego.Bot, chatID int64, loc locale.Localizer) error {
	_, err := tg.SendMessage(&telego.SendMessageParams{
		ChatID: tu.ID(chatID),
		Text:   loc.Message("internal_error"),
	})
	return err
}
