package wizard

import (
	"gitea.neur0tx.site/Neur0toxine/vegapokerbot/internal/handler/iface"
	"github.com/mymmrac/telego"
	tu "github.com/mymmrac/telego/telegoutil"
)

type HelpCommand struct {
	iface.Base
}

func NewHelpCommand(app iface.App, userID, chatID int64) *HelpCommand {
	return &HelpCommand{iface.NewBase(app, userID, chatID)}
}

func (h *HelpCommand) Handle(wh telego.Update) error {
	_, err := h.App.TG().SendMessage(&telego.SendMessageParams{
		ChatID:    tu.ID(wh.Message.Chat.ID),
		Text:      h.Localizer(wh.Message.From.LanguageCode).Message("help_output"),
		ParseMode: telego.ModeMarkdown,
	})
	return err
}
