package store

import (
	"gitea.neur0tx.site/Neur0toxine/vegapokerbot/internal/handler/util"
	"github.com/maypok86/otter"
)

type MemberVote struct {
	util.Member
	Vote float32
}

type PollResult struct {
	Max    float32
	Min    float32
	Avg    float32
	Halved float32
}

type PollState struct {
	Members []util.Member
	Votes   []MemberVote
	Result  PollResult
}

var Polls otter.Cache[int64, PollState]
